Bug 1566092 - using a filter for bastion layout/partials/table.html does not update the selected counts
Summary: using a filter for bastion layout/partials/table.html does not update the sel...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.5.0
Assignee: Tom McKay
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 13:55 UTC by Tom McKay
Modified: 2019-11-05 22:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:12 UTC
Foreman Issue Tracker 18282 None None None 2018-04-11 13:55:03 UTC

Description Tom McKay 2018-04-11 13:55:01 UTC
Create a custom table where the rows are built up in the js with a filter field (rather than a search). The filter field does reduce the displayed results, however the "Showing X of Y" does not reflect the reduced results. Selecting the select-all checkbox in the header row will show all Y selected rather than the filtered X.

Comment 1 Tom McKay 2018-04-11 13:55:06 UTC
Created from redmine issue http://projects.theforeman.org/issues/18282

Comment 2 Tom McKay 2018-04-11 13:55:10 UTC
Upstream bug assigned to None

Comment 4 Tom McKay 2018-04-11 13:57:40 UTC
At a minimum this should be targeted for 6.4. It has not been working for over a year and is important in the flow of container image registry mirroring.

Comment 6 Tom McKay 2018-04-23 20:27:49 UTC
@jcalla - To test, go to product repo discovery and search at a url. In the table of results enter a filter to reduce the number displayed. Select the table's "all" checkbox and proceed to next step. Bug is that all the results, not just those visible with the filter, are used.

Comment 9 Walden Raines 2018-07-10 00:47:29 UTC
> Assignee: satellite6-bugs@redhat.comsat6-team-ux@redhat.com

We will not have the capacity to look at this for 6.4 most likely so we may want to reset the assignee if we want this in 6.4

Comment 18 pm-sat@redhat.com 2018-08-03 16:07:33 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 19 pm-sat@redhat.com 2018-08-03 16:07:36 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 20 pm-sat@redhat.com 2018-08-06 20:07:40 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/18282 has been resolved.

Comment 21 Jameer Pathan 2018-11-15 14:46:13 UTC
needinfo:

@satellite 6.5.0 snap 3

steps:
1. go to product repo discovery and search at a url. 
2. In the table of results enter a filter to reduce the number displayed. 
3. Select the table's "all" checkbox.

observation:
- only the filtered results got selected
- only issue here is that the selected count is out of original result. 
- when filter is used total count should change accordingly.
should I create another low priority issue for it?

Comment 24 Jameer Pathan 2018-12-31 09:24:22 UTC
Verified 
@satellite 6.5.0 snap 9

steps:
1. go to product repo discovery and search at a url. 
2. In the table of results enter a filter to reduce the number displayed. 
3. Select the table's "all" checkbox.

observation:
- only the filtered results got selected

Comment 27 errata-xmlrpc 2019-05-14 12:37:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.